{
  "info": {
    "properties": {
      "id": {
        "type": "long"
      },
      "idPaperType": {
        "type": "long"
      },
      "paperName": {
        "type": "text",
        "analyzer": "index_ansj",
        "search_analyzer": "query_ansj",
        "fields": {
          "raw": {
            "type":  "keyword"
          },
          "number": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "number_analyzer"
          },
          "letter": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "letter_analyzer"
          }
        }
      },
      "paperCode": {
        "type": "keyword",
        "index": "not_analyzed"
      },
      "mtModel": {
        "type": "text",
        "index": "not_analyzed",
        "fields": {
          "raw": {
            "type":  "keyword"
          }
        }
      },
      "mtRule": {
        "type": "keyword",
        "index": "not_analyzed",
        "fields": {
          "number": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "number_analyzer"
          }
        }
      },
      "mtSuttle": {
        "type": "double",
        "index": "not_analyzed"
      },
      "barCode": {
        "type": "keyword",
        "index": "not_analyzed"
      },
      "remark": {
        "type": "text",
        "index": "not_analyzed"
      },
      "voidFlag": {
        "type": "long"
      },
      "priceType": {
        "type": "long"
      }
    }
  }
}
